## cpu-checker 0.1

=== Makefile ===
VERSION=0.1
SCRIPTS=check-bios-nx kvm-ok

all:
	@# nothing to build, it's all scripts

install:
	for i in $(SCRIPTS); do \
		install -D -m 755 $$i $(DESTDIR)/usr/bin/$$i; \
		install -D -m 644 $$i.1 $(DESTDIR)/usr/share/man/man1/$$i.1; \
	done

tarball:
	mkdir cpu-checker-$(VERSION)
	for i in $(SCRIPTS); do \
		cp -a $$i cpu-checker-$(VERSION)/; \
		cp -a $$i.1 cpu-checker-$(VERSION)/; \
	done
	cp -a Makefile test old update-notifier cpu-checker-$(VERSION)/
	tar czf ../cpu-checker-$(VERSION).tar.gz cpu-checker-$(VERSION)
	rm -rf cpu-checker-$(VERSION)

include test/Makefile.include

## cpu-checker 0.7

=== Makefile ===
VERSION=0.2
SCRIPTS=check-bios-nx kvm-ok

all:
	@# nothing to build, it's all scripts

install:
	for i in $(SCRIPTS); do \
		install -D -m 755 $$i $(DESTDIR)/usr/sbin/$$i; \
		install -D -m 644 $$i.1 $(DESTDIR)/usr/share/man/man1/$$i.1; \
	done

tarball:
	mkdir cpu-checker-$(VERSION)
	for i in $(SCRIPTS); do \
		cp -a $$i cpu-checker-$(VERSION)/; \
		cp -a $$i.1 cpu-checker-$(VERSION)/; \
	done
	cp -a Makefile test old update-notifier cpu-checker-$(VERSION)/
	tar --exclude test --exclude old --exclude update-notifier -czf ../cpu-checker-$(VERSION).tar.gz cpu-checker-$(VERSION)
	rm -rf cpu-checker-$(VERSION)

=== debian/changelog ===
cpu-checker (0.7-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add support for loongarch64 (Closes: #1059425)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Oct 2024 08:49:11 +0100

cpu-checker (0.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Tue, 14 Sep 2021 08:45:39 +0200

cpu-checker (0.7-1.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Enable riscv64 build (LP: #1938699)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 02 Aug 2021 15:30:02 +0200

cpu-checker (0.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * changed license to GPL v3-only (Closes: #919176)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 03 Feb 2019 16:08:44 +0100

cpu-checker (0.7-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Upload to Debian, after approval from Kees Cook

 -- Kees Cook <kees@ubuntu.com>  Thu, 10 Jan 2019 23:13:19 +0100

cpu-checker (0.7-0ubuntu7) xenial; urgency=medium

  * cpu-checker-s390x.patch: Fix kvm-ok to not crash when no virt is
    available. (LP: #1557327)

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Mar 2016 18:26:37 +1100

cpu-checker (0.7-0ubuntu6) xenial; urgency=high

  [ Michael Hudson-Doyle ]
  * Add cpu-checker-s390x.patch from dann frazier (LP: #1526113) 
  * Build on s390x.

  [ Dimitri John Ledkov ]
  * Slight tweak to spelling in the cpu-checker-s390x comments.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 15 Dec 2015 14:33:14 +1300

cpu-checker (0.7-0ubuntu5) wily; urgency=medium

  * powerpc-dummy.patch: Duplicate ppc64le assumptions for ppc64 as well.
  * debian/control: Build for powerpc to satisfy dependency of juju-core.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 21 Oct 2015 15:14:10 +0100

cpu-checker (0.7-0ubuntu4) trusty; urgency=medium

  [ dann frazier ]
  * Add support for arm64. (LP: #1282329)

  [ Dimitri John Ledkov ]
  * Assume ppc64el is kvm capable.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2014 01:23:41 +0000

cpu-checker (0.7-0ubuntu3) saucy; urgency=low

  * d/p/arm: add support for ARM Cortex-A15 systems (LP: #1194632). Thanks to
    dann frazier.
  * d/control: add armhf architecture, but restrict msr-tools dependency to
    x86.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 18 Sep 2013 13:53:45 +0000

cpu-checker (0.7-0ubuntu2) saucy; urgency=low

  * debian/compat: Change to "9"
  * debian/control:
    - Update debhelper to version 9
    - Update standards version to 3.9.4
  * Create debian/source/format as 3.0 (quilt)
  * debian/copyright: 
    - use debian machine readable format 1.0
    - bump copyright year to 2013
  * debian/rules: add option for verbose mode

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 15 Aug 2013 18:49:24 +1000

cpu-checker (0.7-0ubuntu1) precise; urgency=low

  [ Colin Watson ]
  * debian/control: mark as "Architecture: amd64 i386", since this package
    is uninstallable on all other architectures (LP: #888087).

  [ Kees Cook ]
  * debian/control: fix VCS fields (LP: #888082).

 -- Kees Cook <kees@ubuntu.com>  Fri, 18 Nov 2011 10:11:52 -0800

cpu-checker (0.6-0ubuntu1) oneiric; urgency=low

  * kvm-ok: LP: #843972
    - fix conflicting, misleading messages and erroneous verdict

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 08 Sep 2011 14:31:19 -0700

cpu-checker (0.5-0ubuntu1) natty; urgency=low

  * kvm-ok: need to || true the statement that tests for kvm, as error
    conditions are detected below, and helpful messages are displayed;
    LP: #741080

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Mar 2011 13:59:51 -0500

cpu-checker (0.4-0ubuntu1) natty; urgency=low

  * kvm-ok: fix $id bug; update brand detection; ensure that the
    root/msr stuff gets run

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 27 Feb 2011 06:47:49 -0600

cpu-checker (0.3-0ubuntu1) natty; urgency=low

  * kvm-ok: exit informatively if we are not root before doing MSR
    checks; allows kvm-ok to continue being useful, even if not running
    as root, LP: #717342
  * kvm-ok.1: document the new MSR check

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 26 Feb 2011 18:15:25 -0600

cpu-checker (0.2-0ubuntu1) natty; urgency=low

  * kvm-ok: replace dmesg review with MSR tests.
  * check-bios-nx: replace model/family heuristic with MSR test.
  * Makefile: drop test suite, since it only applied to heuristics.

 -- Kees Cook <kees@ubuntu.com>  Wed, 17 Nov 2010 11:11:24 -0800

cpu-checker (0.1-0ubuntu2) lucid; urgency=low

  * modify the modprobe HINT so it can be used (LP: #537674)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Mar 2010 10:26:18 -0700

cpu-checker (0.1-0ubuntu1) lucid; urgency=low

  * Initial release for utilities that used to live in qemu-kvm and
    update-notifier.

 -- Kees Cook <kees@ubuntu.com>  Tue, 09 Mar 2010 13:40:55 -0800

=== debian/control ===
Source: cpu-checker
Section: utils
Priority: optional
Maintainer: Kees Cook <kees@ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: https://launchpad.net/cpu-checker
Vcs-Browser: https://code.launchpad.net/~cpu-checker-dev/cpu-checker/trunk
Vcs-Bzr: lp:~cpu-checker-dev/cpu-checker/trunk

Package: cpu-checker
Architecture: amd64 arm64 armhf i386 loong64 ppc64el powerpc riscv64 s390x
Depends: msr-tools [amd64 i386], ${shlibs:Depends}, ${misc:Depends}
Conflicts: qemu-kvm (<< 0.12.3-0ubuntu13)
Replaces: qemu-kvm (<< 0.12.3-0ubuntu13)
Description: tools to help evaluate certain CPU (or BIOS) features
 There are some CPU features that are filtered or disabled by system BIOSes.
 This set of tools seeks to help identify when certain features are in this
 state, based on kernel values, CPU flags and other conditions. Supported
 feature tests are NX/XD and VMX/SVM.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel
